curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Path parameter node_id.
Query Parameters
Section titled “Query Parameters”Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>API key used to authenticate the request
Example
<API_KEY>Specifies the node’s location as a string.
Example
<LOCATION>Responses
Section titled “Responses”Successful response
object
HTTP status code of the response
object
Unique identifier of the node
Unique identifier of the virtual machine
The node’s identifier string.
Identifier for the node
Identifier of the node’s resource plan
Disk capacity of the node
Amount of memory allocated to the node, e.g., “8 GB”
Number of virtual CPUs allocated to the node
object
Label identifying the SSH key
SSH public key string associated with the node
object
Operating system name of the node
Operating system version string
Human-readable category of the operating system
Operating system full name string
Price of the node as a formatted string
Timestamp when the node was created.
Indicates whether the BitNinja license is currently active.
Identifier of the NGC container associated with the node
GPU model or identifier for the node
Indicates whether the CDP tab is enabled
Indicates if the monitoring tab is enabled for the node
Indicates whether taking snapshots is allowed on the node
Indicates if the alert tab is enabled for the node
Indicates whether a volume can be attached to the node.
Identifier of the host in Zabbix
Zabbix host identifier for the node
Indicates whether the node is a FortiGate virtual machine.
Current lifecycle state of the node
object
Indicates whether a license is attached to the node
Message displayed when a license is deleted
Indicates whether a Microsoft SQL Server license is attached to the node
Indicates whether the node is currently locked
Indicates whether the node can be upgraded
Type of virtual machine for the node
object
Identifier of the committed SKU
Name of the committed SKU
Message indicating reservation period and cost for a committed node
Price of the committed SKU
Date and time up to which the node is committed
Number of days the node is committed
Details about the node’s committed state
Series identifier for the node
The node’s public IPv4 address.
The private IPv4 address of the node.
object
Label of the start script
Shell script to run on the node
Indicates whether accidental protection is enabled for the node
True if the node functions as a hypervisor, otherwise false
Indicates whether the node complies with the required standards
Indicates whether the node has never established a connection.
Indicates whether the node’s rescue mode is currently enabled or disabled
True if a snapshot exists for the node, otherwise false.
Indicates whether the node is attached to a VPC.
Name of the cluster the node belongs to
Number of security groups associated with the node
object
Status message indicating the result of the request
Example
{ "code": 200, "data": { "id": 12345, "vm_id": 12345, "name": "C3-8GB-420", "label": "default", "plan": "C3.8GB", "disk": "100 GB", "memory": "8 GB", "vcpus": "4", "ssh_keys": [ { "label": "your_email@example.com", "ssh_key": "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAI... your_email@example.com" } ], "os_info": { "name": "Ubuntu", "version": "24.04", "category": "Linux Virtual Node", "full_name": "Ubuntu 24.04 x86_64" }, "price": "Rs. 3.1/Hour or Rs. 2263.0 Monthly", "created_at": "2025-07-11T11:23:55.352656Z", "is_bitninja_license_active": false, "ngc_container": "", "gpu": "", "cdp_tab_enabled": true, "monitoring_tab_enabled": true, "is_snapshot_allowed": true, "alert_tab_enabled": true, "is_volume_attachable": true, "is_fortigate_vm": false, "status": "Creating", "any_license_attached": { "is_license_attached": false, "license_deletion_message": "", "mssql_license_attached": false }, "is_locked": false, "is_upgradable": true, "vm_type": "vm", "committed_details": [ { "committed_sku_id": 1234, "committed_sku_name": "90 Days Committed , Rs. 6026.0", "committed_node_message": "This committed node will be reserved for next 90 days ( till 09-October-2025 11:23). The cost Rs. 6026.0 of this node will be added in next invoice.", "committed_sku_price": 6026, "committed_upto_date": "09-October-2025 11:23", "committed_days": 90 } ], "series": "C3", "public_ip_address": "1.2.3.4", "private_ip_address": "10.8.64.17", "start_scripts": [ { "label": "nginx", "script_content": "sudo apt-get updates\nsudo apt-get install nginx -y" } ], "is_accidental_protection": false, "hypervisor": false, "is_node_compliance": false, "is_never_connected": false, "rescue_mode_status": "Disabled", "snapshot_exist": false, "is_vpc_attached": true, "security_group_count": 1 }, "message": "Success"}